## python-tinyrpc 0.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tinyrpc.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tinyrpc.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tinyrpc"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tinyrpc"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-tinyrpc 0.5

=== debian/changelog ===
python-tinyrpc (0.5-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Feb 2017 17:57:52 +0000

python-tinyrpc (0.5-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 14:13:32 -0500

=== debian/control ===
Source: python-tinyrpc
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.6

Package: python-tinyrpc
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-tinyrpc-doc
Description: Small protocol neutral RPC (Python 2)
 A small, modular, transport and protocol neutral RPC
 library that, among other things, supports JSON-RPC and zmq.
 .
 This package installs the library for Python 2.

Package: python-tinyrpc-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Small protocol neutral RPC (common documentation)
 A small, modular, transport and protocol neutral RPC
 library that, among other things, supports JSON-RPC and zmq.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=tinyrpc

%:
	dh $@ --with python2 --buildsystem=pybuild

## python-tinyrpc 0.6

=== debian/changelog ===
python-tinyrpc (0.6-5) unstable; urgency=medium

  * Declare conformance to “Standards-Version: 4.6.2”.
    No additional changes needed.
  * Use packaged ‘python3-package-smoke-test’ for AutoPkgTest.
    Closes: bug#1040854. Thanks to Matthias Klose for the report.
  * debian/tests/smoke_test.py:
    * Remove unused test helper module, now migrated to external package.
  * debian/patches/use-python3-interpreter-for-example-programs.patch:
    * Correct the Python interpreter specified in example programs.
  * Update Lintian overrides to match current Lintian output.

 -- Ben Finney <bignose@debian.org>  Fri, 21 Jul 2023 17:10:51 +1000

python-tinyrpc (0.6-4) unstable; urgency=medium

  * Acknowledge non-maintainer upload.
  * Update package source documentation for standard packaging tools.
  * Update UScan configuration for changes in upstream releases page.
  * Remove obsolete field from DEP-12 metadata.
  * Update the project homepage.
  * Record the upstream documentation URL in DEP-12 metadata.
  * Declare conformance to “Standards-Version: 4.6.0”.
    No additional changes needed.
  * Declare Debhelper compatibility level 13.
  * Override false positive Lintian check for VCS-* field names.
  * Mark as “superficial” those autopkgtest cases with no coverage.

 -- Ben Finney <bignose@debian.org>  Wed, 04 May 2022 13:58:15 +1000

python-tinyrpc (0.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/tests/smoke-python3: fix autopkgtest regression.
    Use pyversions -s to test all suported versions (Closes: #954480).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 28 Mar 2020 11:06:46 -0400

python-tinyrpc (0.6-3) unstable; urgency=medium

  * Remove obsolete smoke test program for Python 2.
    Closes: bug#945285. Thanks to Matthias Klose for the report.
  * Correct executable mode for smoke test program for Python 3.
  * Tell DebHelper where to insert Sphinx binary dependencies.
  * Specify the package build system does not require root privilege.

 -- Ben Finney <bignose@debian.org>  Tue, 26 Nov 2019 10:15:37 +1100

python-tinyrpc (0.6-2) unstable; urgency=medium

  [ Ben Finney ]

  * Declare conformance to “Standards-Version: 4.4.1”.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Specify VCS URLs for current Debian package VCS hosting.
  * Remove obsolete control field for Python 2 version.
  * Remove declaration for minimum Python 3 version.
    Python >= 3.4 is now in all supported Debian releases.
  * Declare Debhelper compatibility level 12.
  * debian/compat:
    * Remove obsolescent configuration file.
  * Record upstream metadata in DEP-12 document.
  * Use a null command for ‘clean’ during ‘Git-BuildPackage’.

  [ Sandro Tosi ]

  * Remove support for Python 2.
    Closes: bug#938218.

 -- Ben Finney <bignose@debian.org>  Sat, 26 Oct 2019 10:33:45 +1100

python-tinyrpc (0.6-1) unstable; urgency=medium

  * The “خالد الجهني (Khaled Al-Jehani)” release.
  * Initial release.
    Closes: bug#866515.

 -- Ben Finney <bignose@debian.org>  Sun, 27 Aug 2017 18:44:10 +1000

=== debian/control ===
Source: python-tinyrpc
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Build-Depends:
    python3-sphinx,
    python3-pytest-runner,
    python3-mock,
    python3-gevent,
    python3-requests,
    python3-websocket,
    python3-jsonext,
    python3-zmq,
    python3-six,
    python3-setuptools,
    python3-all,
    dh-python,
    debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/mbr/tinyrpc/
VCS-Git: https://salsa.debian.org/bignose/pkg-python-tinyrpc.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-python-tinyrpc/
Rules-Requires-Root: no

Package: python3-tinyrpc
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends}
Suggests:
    python-tinyrpc-doc
Description: small, modular RPC library — Python 3
 ‘tinyrpc’ is a library for making and handling RPC calls in Python.
 .
 Its initial scope is handling JSON-RPC, although it aims to be very
 well-documented and modular to make it easy to add support for
 further protocols.
 .
 A feature is support of multiple transports (or none at all) and
 providing clever syntactic sugar for writing dispatchers.
 .
 This package installs the library for Python 3.

Package: python-tinyrpc-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: small, modular RPC library — documentation
 ‘tinyrpc’ is a library for making and handling RPC calls in Python.
 .
 Its initial scope is handling JSON-RPC, although it aims to be very
 well-documented and modular to make it easy to add support for
 further protocols.
 .
 This package installs the library documentation.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘python-tinyrpc’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export PYBUILD_NAME = tinyrpc

DOCUMENTATION_DIR = docs
DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}

SPHINX = sphinx-build
SPHINX_OPTS = -N


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}

override_dh_auto_build:
	dh_auto_build
	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
		${DOCUMENTATION_BUILD_HTML_DIR}/


# Copyright © 2009–2023 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Tests: smoke-python3
Restrictions:
    superficial
Depends:
    python3-package-smoke-test,
    python3-pkg-resources,
    python3-all,
    @


# Copyright © 2016–2023 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Marc Brinkmann's repository.
opts = "uversionmangle=s/(\d)((?:dev|a|b|c|rc)\d*)$/$1~$2/" \
    https://github.com/mbr/tinyrpc/tags/ \
    /mbr/tinyrpc/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
